/*
 * This file is part of mutt-ng, see http://www.muttng.org/.
 * It's licensed under the GNU General Public License,
 * please see the file GPL in the top level source directory.
 */
#ifndef MUTT_XTERM_H
#define MUTT_XTERM_H

#include <lib-lib/lib-lib.h>

/* sets the current xterm's title */
static inline void mutt_xterm_set_title(const char *title) {
    printf("\033]2;%s\007", NONULL(title));
    fflush(stdout);
}

/* sets the current xterm's icon */
static inline void mutt_xterm_set_icon(const char *name) {
    printf("\033]1;%s\007", NONULL(name));
    fflush(stdout);
}

#endif /* !MUTT_XTERM_H */
